%define upstream_name    MooseX-Declare
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Handle method modifier declarations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Declare) >= 0.5.11
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.900.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Method::Signatures) >= 0.360.0
BuildRequires: perl(MooseX::Method::Signatures::Meta::Method)
BuildRequires: perl(MooseX::Method::Signatures::Types)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.120.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.200.0
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(aliased)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean) >= 0.110.0
BuildRequires: perl(overload)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides syntactic sugar for Moose, the postmodern object
system for Perl 5. When used, it sets up the 'class' and 'role' keywords.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.430.0-4pclos2017
- rebuild against updates

